List LLM sessions
Sessions ranked by cost or tokens, with per-session usage.
Sessions ranked by cost or tokens, with per-session usage.
ApiKeyAuthAuthorizationBearer <token>Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.
Required permission
view_llm_analyticsoffset?integerNumber of items to skip before returning results.
int320 <= value0limit?integerMaximum number of items to return per page.
int320 <= value <= 25610start_time*stringStart of the time range to report on, inclusive.
date-timeend_time*stringEnd of the time range to report on, exclusive.
date-timesort?stringOrdering for the session list: by cost, tokens, or recent activity.
"cost""tokens""recent"provider?array<>Filter to specific LLM telemetry providers.
model?array<string>Filter to specific model names.
user_id?array<>Filter to specific users by id.
user_group?array<string>Filter to users in specific groups.
session_key?stringRestrict to a single session (for deep links).
The request has succeeded.
application/json- response
Ranked list of sessions.
items*array<>The items in this page.
meta*Paging information for a list response.
curl -X GET "https://example.com/analytics/llm-sessions?start_time=2019-08-24T14%3A15%3A22Z&end_time=2019-08-24T14%3A15%3A22Z"{ "items": [ { "session_key": "string", "provider": "claude", "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5", "user_name": "string", "models": [ "string" ], "tokens": 0, "by_type": [ { "type": "string", "tokens": 0 } ], "cost": 0.1, "request_count": 0, "started_at": "2019-08-24T14:15:22Z", "last_activity_at": "2019-08-24T14:15:22Z", "duration_ms": 0 } ], "meta": { "total": 0, "offset": 0, "limit": 0 }}